# $Id: PKGBUILD,v 1.8 2007/11/15 23:53:12 daniel Exp $
# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
pkgname=acl
pkgver=2.2.45
pkgrel=2
pkgdesc="Library for filesystem ACL support"
arch=(i686 x86_64)
url="http://oss.sgi.com/projects/xfs/"
license=('LGPL')
groups=('base')
depends=('attr>=2.4.39')
replaces=('xfsacl')
provides=('xfsacl')
conflicts=('xfsacl')
options=('!libtool')
source=(ftp://oss.sgi.com/projects/xfs/cmd_tars/acl_${pkgver}-1.tar.gz)
md5sums=('6c33d0ff98c6294eccfd737da8ef2501')

build() {
  cd ${startdir}/src/acl-${pkgver} 
  autoconf
  ./configure --prefix=${startdir}/pkg/usr
  make || return 1 
  make prefix=${startdir}/pkg/usr/ install install-lib install-dev

  # tidy up
  cd ${startdir}/pkg

  mkdir -v lib
  mv -v usr/lib/libacl.so* lib/
  ln -sv ../../lib/libacl.so.1 usr/lib/libacl.so

  mv -v usr/libexec/libacl.{a,la} usr/lib/
  rm -rf ${startdir}/pkg/usr/libexec
}
